@echo off
cls
echo DTLoggedExec database creation batch

rem ***** SET YOUR CORRECT VALUES HERE *****

set SQLServer=localhost
set DatabaseName=DTLoggedExecDB
set DataFilePath=C:\Program Files\Microsoft SQL Server\MSSQL10.MSSQLSERVER\MSSQL\DATA\
set LogFilePath=C:\Program Files\Microsoft SQL Server\MSSQL10.MSSQLSERVER\MSSQL\DATA\

rem ***** ---------------------------- *****

if "%SQLServer%" EQU "" goto varnotdef 
if "%DataFilePath%" EQU "" goto varnotdef 
if "%LogFilePath%" EQU "" goto varnotdef 
if "%DatabaseName%" EQU "" goto varnotdef 

echo Running T-SQL Script...
sqlcmd -S %SQLServer% -b -i DTLoggedExecDB.sql -v DatabaseName="%DatabaseName%" -v DefaultDataPath="%DataFilePath%" -v DefaultLogPath="%LogFilePath%"
if %ERRORLEVEL% NEQ 0 goto errors

goto noerrors

:varnotdef
echo Values for all required variables must be supplied.
goto end

:noerrors
echo Operation completed successfully
goto end

:errors
echo Errors found during script execution. Batch halted.
goto end

:end
pause